Tamio

Update an address

POST https://api.tamio.com/v2/customers/address/update/{uuid}

Updates an existing billing or shipping address. Changing the country of a billing address that is tied to an active subscription is not allowed.

Path Parameters

uuid string*

UUID of the address to update

Body Parameters

name string*

Contact first name

last_name string

Contact last name

country string*

Two-letter ISO country code

address string*

Street address

city string*

City

postcode string

Postal/zip code

state string

State or province

email string*

Contact email address

company string

Company name

phone string

Contact phone number

vat string

VAT identification number

locale string

Preferred language/locale

is_company boolean

Whether the billing entity is a company

representative string

Authorized representative name (for company billing)

shipping_address boolean

Whether this is a shipping address

Responses

200 Address updated successfully

Address updated successfully

status integer
customer Customer
400 Validation or business-logic error.
401 Unauthorized – invalid or missing Bearer token
/customers/address/update/{uuid}
1const response = await fetch("https://api.tamio.com/v2/customers/address/update/{uuid}", {
2 method: "POST",
3 headers: {
4 "Authorization": "Bearer YOUR_API_KEY",
5 "Content-Type": "application/json"
6 },
7 body: JSON.stringify({
8 "name": "John",
9 "last_name": "Doe",
10 "country": "de",
11 "address": "Friedrichstraße 123",
12 "city": "Berlin",
13 "postcode": "10117",
14 "state": "BE",
15 "email": "[email protected]",
16 "company": "Acme GmbH",
17 "phone": "+49 30 1234567",
18 "vat": "DE123456789",
19 "locale": "de",
20 "is_company": true,
21 "representative": "Hans Müller",
22 "shipping_address": false
23 })
24});
25const data = await response.json();
Responses
{
  "status": 200,
  "customer": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "object": "customer",
    "email": "[email protected]",
    "name": "John",
    "last_name": "Doe",
    "country": "de",
    "locale": "en",
    "timezone_offset": "+00:00",
    "phone": "+49123456789",
    "stripe_customer_id": "cus_P2BjgLkL",
    "teammate_id": "cc6e91ea-0275-408a-8106-25f0e3fcbd83",
    "affiliate_partner_id": "bb6e91ea-0275-408a-8106-25f0e3fcbd82",
    "has_notes": false,
    "created_at": 1700000000,
    "billing_addresses": [
      {
        "id": "0380f2d4-1a26-4074-8b6b-87b64f3d1b6e",
        "object": "address",
        "name": "John",
        "last_name": "Doe",
        "email": "[email protected]",
        "address": "123 Main St",
        "city": "New York",
        "postcode": "10001",
        "state": "NY",
        "country": "us",
        "locale": "en",
        "phone": "+441234567890",
        "company": "Tamio Inc",
        "message": "Leave at front door",
        "shipping_address": false,
        "is_company": true,
        "vat": "US12345678",
        "verified_vat": true,
        "custom_billing_fields": {}
      }
    ],
    "shipping_addresses": [
      {
        "id": "0380f2d4-1a26-4074-8b6b-87b64f3d1b6e",
        "object": "address",
        "name": "John",
        "last_name": "Doe",
        "email": "[email protected]",
        "address": "123 Main St",
        "city": "New York",
        "postcode": "10001",
        "state": "NY",
        "country": "us",
        "locale": "en",
        "phone": "+441234567890",
        "company": "Tamio Inc",
        "message": "Leave at front door",
        "shipping_address": false,
        "is_company": true,
        "vat": "US12345678",
        "verified_vat": true,
        "custom_billing_fields": {}
      }
    ],
    "direct_debits": [
      {
        "currency": "EUR",
        "provider": "gocardless"
      }
    ],
    "client_id": "aa6e91ea-0275-408a-8106-25f0e3fcbd81",
    "category": "VIP"
  }
}